Fri Nov  5 23:10:07 1993  Francois Pinard  (pinard@icule)

	* Version 0.3

	* check-out: New name for check_out.
	* Makefile.in: Change check_out for check-out everywhere.
	Reported by Jim Meyering <meyering@comco.com>.

	* Makefile.in (realclean): Do not remove .stamp-h.in and
	config.h.in.  One should not need Autoconf installed.
	Reported by Nelson Beebe <beebe@math.utah.edu>.

	* ptx.c: Add missing definition of isxdigit.
	Reported by Nelson Beebe <beebe@math.utah.edu>.

	* ptx.c: Define S_ISREG if not defined, then use it.
	Reported by Karl Berry <karl@cs.umb.edu>.

Wed Nov  3 15:53:00 1993  Francois Pinard  (pinard@icule)

	* mkinstalldirs: New, from elsewhere.
	* Makefile.in: Use it.

Mon Nov  1 00:48:34 1993  Francois Pinard  (pinard@lagrande.IRO.UMontreal.CA)

	* Makefile.in (clean): Delete ptx, not the obsolete $(PROGS).

Sun Oct 31 15:04:57 1993  Francois Pinard  (pinard@raptor.IRO.UMontreal.CA)

	* ptx.c (alloc_and_compile_regex): Zero out the whole allocated
	pattern, not just a few fields.

	* ptx.c (alloc_and_compile_regex): Clarify error message.

Thu Oct 28 08:29:29 1993  Francois Pinard  (pinard@compy.IRO.UMontreal.CA)

	* ptx.c (print_copyright): Deleted.  Rather use a "copyright"
	variable, print to standard output instead of standard error.

	* ptx.c: Use error instead of fprintf (stderr, ...).

	* ptx.c: Rename fold_lower_to_upper to ignore_case.

Wed Oct 27 18:41:52 1993  Francois Pinard  (pinard@lagrande.IRO.UMontreal.CA)

	* ptx.c: Add option -M for using another macro name than "xx".
	Reported by Thorsten Ohl <ohl@physics.harvard.edu>.

	* examples/ignore/: New files.
	* eign: Linked to examples/ignore/eign.
	* Makefile.in: Install and uninstall $(datadir)/eign.
	* configure.in: Remove testing of a default ignore file.
	Reported by Nelson Beebe <beebe@math.utah.edu>.

	* ptx.c (main): Add --help and --version processing.
	(print_version): Deleted.

	* ptx.c: Use -traditional instead of --no-gnu-extensions,
	--ignore-case instead of --fold-letter-case, --format=<format>
	instead of --tex-output and --roff-output.
	* argmatch.c: New file.  Taken from fileutils/lib.
	Reported by Karl Berry <karl@cs.umb.edu>.

Tue Oct 26 08:39:14 1993  Francois Pinard  (pinard@icule)

	* ptx.c (usage): New name for usage_and_exit.  Accept an exit
	status parameter.  If zero, print full help on stdout.  If
	non-zero, print a one-line helper on stderr.

	* ptx.c: Remove sizeof_occurs and OCCURS_ALIGNMENT complexity.
	The memory savings did not justify the portability headaches.

	* ptx.c (copy_unescaped_string): New function.
	(main): Use it with options -F, -S and -W.
	Reported by Dave Cottingham <dc@haiti.gsfc.nasa.gov>.

	* ptx.c (fix_output_parameters): Force edit of '\f', because some
	systems does not consider it to be whitespace.
	Reported by Stephane Berube <berube@iro.umontreal.ca>.

	* ptx.c (fix_output_parameters): For roff output, do not disallow
	characters with 8th bit set.
	Reported by James Clark <jjc@jclark.com>.

	* Makefile.in (dist): Include examples/ in distribution.

Mon Oct 25 15:46:16 1993  Francois Pinard  (pinard@icule)

	* ptx.c: Change --display-width to --width, for consistency with
	other GNU programs.

	* examples/ajay/: New files.
	Reported by Ajay Shah <ajayshah@cmie.ernet.in>.
	Reported by Rakesh Chauhan <rk@cmie.ernet.in>.

	* examples/luke/: New files.
	Reported by Luke Kendall <luke@research.canon.oz.au>.

	* examples/latex/: New files.

	* ptx.c (find_occurs_in_text): Assign 0 to refererence_length so
	GNU C will not warn anymore against its unitialized use.
	Reported by Loic Dachary <L.Dachary@cs.ucl.ac.uk>.

	* lib/: Move routines in main directory first, then destroy.
	* Makefile.in: Merge lib/Makefile.in, clean up.
	* configure.in: Do not create lib/Makefile.in.

	* acconfig.h: New file.
	* .stamp-h.in: Used for timestamping autoheader.
	* Makefile.in: Use acconfig.h and .stamp-h.in.  Force
	autoheader whenever acconfig.h is modified.

Wed Jun  9 15:01:28 1993  Francois Pinard  (pinard@icule)

	* Makefile.in (dist): Replace "echo `pwd`" by a mere "pwd".
	Create a gzip file.

Sat May 22 20:18:31 1993  Francois Pinard  (pinard@icule)

	* Makefile.in: Replace $(PROGS) by ptx.

	* diacrit.h: Change `c' to `chr', better protect it.

	* lib/COPYING.LIB: Deleted.
	* lib/Makefile.in: Adjust accordingly.

Sat Feb  6 15:03:13 1993  Francois Pinard  (pinard@icule)

	* Makefile.in, lib/Makefile.in: In dist goals, ensure 777 mode for
	directories, so older tar's will restore file modes properly.

Sun Jan 17 15:42:35 1993  Francois Pinard  (pinard@icule)

	* Makefile.in, lib/Makefile.in: Put $(CFLAGS) after $(CPPFLAGS),
	so the installer can override automatically configured choices.
	Reported by Karl Berry <karl@cs.umb.edu>.

Tue Jan 12 09:21:22 1993  Francois Pinard  (pinard at icule)

	* configure.in: Check for setchrclass().
	* diacrit.[hc]: New file, extracted from my own ctype.[hc].
	* ctype.[hc]: Deleted.
	* Makefile.in: Distribute diacrit.[hc], but not ctype.[hc].
	* ptx.c: Include "diacrit.h" rather than "ctype.h".
	Include <ctype.h> for ANSI C, or else, use our own definitions.
	(initialize_regex): Use ctype.h macros for making the folding
	table and for making the \w+ fastmap.  Previously, was reusing the
	regex syntax table or looking at character bit structure.
	(main): Execute setchrclass (NULL) if available and ANSI C.

	* Spelling fixes in various files.
	Reported by Jim Meyering <meyering@cs.utexas.edu>.

Thu Jan  7 20:19:25 1993  Francois Pinard  (pinard at icule)

	* Makefile.in: Using autoheader, derive config.h.in from
	configure.in.  Distribute config.h.in.
	Use config.status for reconstructing config.h from config.h.in.
	Have all $(OBJECTS) depend upon config.h.
	Always use -I. calling the C compiler, for config.h to be found.
	Remove config.h in distclean-local.
	* lib/Makefile.in: Always use -I.. calling the C compiler, for
	config.h to be found.  Also use $(DEFS).
	Have all $(OBJECTS) depend upon ../config.h.
	* configure.in: Create config.h from config.h.in.
	* ptx.c, ctype.c: Conditionnaly include config.h.

Fri Jan  1 19:52:49 1993  Francois Pinard  (pinard at icule)

	* Makefile.in, lib/Makefile.in: Reinstate $(CPPFLAGS), use it.
	Richard wants it there.  Remove $(ALLFLAGS) and reequilibrate.

Sun Dec 27 05:57:55 1992  Francois Pinard  (pinard at icule)

	* ptx.c (find_occurs_in_text): Introduce word_start and word_end
	variables, and use them instead of the word_regs structure.  This
	takes care of the fact newer regex.h does not allocate the arrays
	any more, and these were used even when regexps were not compiled.

	* Makefile, lib/Makefile.in: Define CHAR_SET_SIZE for SYNTAX_TABLE
	to work correctly.

	* configure.in: Replace AC_USG by AC_HAVE_HEADERS(string.h).
	Cleanup and reorganize a little.

	* ptx.c: Renamed from gptx.c.  Add -G (--no-gnu-extensions)
	and clarify some long option names by making them more
	explicit.  Remove all PTX_COMPATIBILITY conditionals.
	Introduce gnu_extensions variable initialized to 1.  Let -G
	give it the value 0, but still allow and process GNU specific
	options and long option names.  The Ignore file is now the same
	whatever the value of gnu_extensions.
	* ptx.texinfo: Renamed from gptx.texinfo, adjusted.
	* Makefile.in, configure.in: Adjusted accordingly.  Now
	installs only one program under the name $(binprefix)ptx.

	* gptx.c (perror_and_exit): Deleted.  Use error() directly.

	* gptx.c: Remove unneeded prototypes for system library routines.

	* gptx.c (compare_words, compare_occurs): #define first and second
	instead of using an intermediate variable.

	* configure.in: Use AC_CONST.
	* gptx.h: Do not define const.
	* Define volatile dependent on __GNUC__, not __STDC__, and define
	it to __volatile__.

	* gptx.h, version.c: Deleted, integrated into gptx.c.
	* Remove src/ and doc/ subdirectories, merging them in main.
	* Move lib/bumpalloc.h, lib/ctype.[ch] in main directory.
	* Integrate all ChangeLogs in main ChangeLog.
	* Integrate all Makefiles in main Makefile and lib/Makefile,
	rewriting them all along the way.

Fri Nov 13 00:10:31 1992  Francois Pinard  (pinard at icule)

	* Makefile.in (dist): chmod a+r before making the tar file.

Tue Oct  6 12:47:00 1992  Francois Pinard  (pinard at icule)

	* {,doc/,lib/,src/}Makefile.in: Use exec_prefix.  Add `uninstall'.

Wed Aug 19 16:02:09 1992  Francois Pinard  (pinard at icule)

	* ansi2knr.c: New file, from Ghostscript distribution.
	* gptx.c: Get rid of many __STDC__ tests.
	* version.c: Idem.

Fri Aug 14 22:53:05 1992  Francois Pinard  (pinard at icule)

	* gptx.c: Use HAVE_MCHECK instead of MCHECK_MISSING.
	* configure.in: Use AC_HAVE_FUNCS instead of AC_MISSING_FUNCS.

	* configure.in: Autoconfigure for mcheck and strerror.
	Reported by Bernd Nordhausen <bernd@iss.nus.sg>.

Thu Jun 18 09:15:12 1992  Francois Pinard  (pinard at icule)

	* configure.in, all Makefile's: Adapt to Autoconf 0.118.

Sun Feb  2 16:23:47 1992  Francois Pinard  (pinard at icule)

	* gptx.c (main): Returns int.

Tue Dec 10 09:53:21 1991  Francois Pinard  (pinard at icule)

	* gptx.c (usage_and_exit): Print --OPTION instead of +OPTION.

Wed Dec  4 10:31:06 1991  Francois Pinard  (pinard at icule)

	* gptx.c (compare_occurs, compare_words): Change parameters to
	(void *) to comply with qsort ANSI declaration, and cast the true
	type inside the function, each time a parameter is used.
	Reported by Byron Rakitzis <byron@archone.tamu.edu>.

Mon Dec  2 10:41:43 1991  Francois Pinard  (pinard at icule)

	* gptx.c: Removed comma at end of enum.

	* version.c: Add a few missing `const's.

	* gptx.c: Add prototypes for close, fstat, open, perror and read
	if __STDC__.

	* gptx.c: Remove useless alloca declaration.

Sat Nov  9 20:03:37 1991  Francois Pinard  (pinard at icule)

	* configure.in, all/Makefile.in: Directory reorganization,
	including separate src and doc, in plus of lib.  Ensure all
	Makefile's can be used independently.

Thu Nov  7 11:20:38 1991  Francois Pinard  (pinard at icule)

	* gptx.texinfo: Renamed from gptx.texi.  Now `TeX'able.
	* Makefile.in: Ensure distributing texinfo.tex.
	Reported by Karl Berry <karl@cs.umb.edu>.

	* configure.in: Take care of POSIXish ISC.
	Reported by Karl Berry <karl@cs.umb.edu>.

Tue Nov  5 09:42:58 1991  Francois Pinard  (pinard at icule)

	* configure.in, Makefile.in: Do not absolutize $(srcdir), because
	this could create problems with automounters.

	* configure.in, Makefile.in: Remove IF_* devices, they were
	solving a problem caused only by non timestamping shars, and
	gptx is now distributed in tar format.

Mon Oct 28 14:39:36 1991  Francois Pinard  (pinard at icule)

	* configure.in: New file.
	* configure: Automatically generated from file configure.in
	and David MacKenzie's autoconf.

Sat Oct 19 20:06:28 1991  Francois Pinard  (pinard at icule)

	* configure: Use ANSI header files if present, even with non ANSI
	compilers.
	Reported by David MacKenzie <djm@eng.umd.edu>.

Tue Oct 15 08:43:13 1991  Francois Pinard  (pinard at icule)

	* Makefile.in: Install gptx and ptx separately.  On DEC Ultrix
	4.1, install cannot install more than one file at a time.
	Reported by Simon Leinen <simon@liasun1.epfl.ch>.

Fri Oct 11 15:19:42 1991  Francois Pinard  (pinard at icule)

	* Makefile.in: `realclean' did not work, because lib/Makefile was
	disappearing at `distclean' time.  I tried separate doc and src
	directories, but this is not worth the heaviness.  Split some
	goals instead, using _doc, _lib and _src suffixes.

Fri Oct 10 18:04:21 1991  Francois Pinard  (pinard at icule)

	* Version 0.2

Wed Oct  9 16:13:42 1991  Francois Pinard  (pinard at icule)

	* configure, Makefile.in: New files.
	* Makefile, GNUmakefile, Depends: Deleted.

	* gptx.c: Change -A output from `FILE(NN):' to `FILE:NN:'.

	* gptx.c, gptx.h, version.c: Reinstate __STDC__ tests.

Tue Jun 25 11:35:32 1991  Francois Pinard  (pinard at icule)

	* gptx.c: Something is wrong in -r reference allocation, I suspect
	casting does not do what I expect.  I relax the constraints so to
	make it work for now.  To be revisited.

	* gptx.c: Call initialize_regex sooner, to ensure folded_chars is
	properly initialized when -f and -i are simultaneously used.

	* gptx.c: Remove -p option and rather compile two separate
	programs, one by defining PTX_COMPATIBILITY, to conform a GNU
	standard asking to not depend on the program installed name.  This
	also removes the -p option, so loosing the debatable advantage of
	dynamically reverting to ptx compatibility mode.

	* gptx.h: Cleanup.  Don't duplicate stdlib.h.

Wed Dec  5 18:00:23 1990  Francois Pinard  (pinard at icule)

	* gptx.c (usage_and_exit): Change -C explanation.

Sun Oct 28 16:11:36 1990  Francois Pinard  (pinard at icule)

	* gptx.h: Remove the PROTO macros and usage.
	* gptx.c: Remove all the #ifdef __STDC__ noise.
	* version.c: Remove all the #ifdef __STDC__ noise.

Wed Jul 25 12:20:45 1990  Francois Pinard  (pinard at icule)

	* ctype.[ch]: Linked from my library.

Wed Jul 11 10:53:13 1990  Francois Pinard  (pinard at icule)

	* bumpalloc.h: Linked from my library.

Sun Aug  5 13:17:25 1990  Francois Pinard  (pinard at icule)

	* Version 0.1

	* gptx.c: Implement IGNORE and PIGNORE defines.

	* gptx.c: Implement special character protection for roff and TeX
	output, through the edited_flag array.

Fri Aug  3 12:47:35 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Implement new -R option for automatic referencing, with
	the possibility of multiple input files in normal mode.  Now,
	option -r implies ptx compatibility mode default for -S; exclude
	reference from context whenever easy to do, and allow coselection
	of both -r and -R.

Wed Aug  1 12:00:07 1990  Francois Pinard  (pinard at icule)

	* gptx.[hc]: Define and use OCCURS_ALIGNMENT, to avoid those
	`Bus error's on Sparcs.

Fri Jul 27 12:04:40 1990  Francois Pinard  (pinard at icule)

	* gptx.c (initialize_regex): Use only isalpha and "ctype.h" to
	initialize Sword syntax, getting rid of any other explicit ISO
	8859-1 references.  This will make the MS-DOS port easier,
	character set wise.

	* gptx.c (swallow_file_in_memory): Revised along the lines of
	io.c from GNU diff 1.14, so it could handle stin and fifos,
	and work faster.

	* gptx.c (perror_and_exit): New function, use it where convenient.

Thu Jul 26 13:28:13 1990  Francois Pinard  (pinard at icule)

	* gptx.c (swallow_input_text): Remove white space compression even
	if not in ptx compatibility mode.  This being out of the way, use
	swallow_file_in_memory instead of inputting characters one by one.

Wed Jul 25 12:20:45 1990  Francois Pinard  (pinard at icule)

	* gptx.c (find_occurs_in_text): Include the sentence separator as
	part of the right context, except for separator's suffix white
	space.  Formerly, it was excluded from all contexts.

	* gptx.h: Check STDLIB_PROTO_ALREADY to conditionalize prototype
	declarations for standard C library routines; check __GNUC__
	before using `volatile' on function prototypes.

	* gptx.c: (find_occurs_in_text): Maintain the maximum length of
	all words read.
	(define_all_fields): Optimize scanning longish left contexts by
	sometimes doing a backward jump from the keyword instead of always
	scanning forward from the left context boundary.

Sun Jul 22 09:18:21 1990  Francois Pinard  (pinard at icule)

	* gptx (alloc_and_compile_regex): Realloc out all extra allocated
	space.

Mon Jul 16 09:07:25 1990  Francois Pinard  (pinard at icule)

	* gptx.c: In OCCURS structure, modify left, right and reference
	pointers and make them displacements, to save some space.  Define
	DELTA typedef, use it, make all other necessary changes.

	* gptx.c: Work on portability.  Define const and volatile to
	nothing if not __STDC__.  On BSD, define str[r]chr to be [r]index.
	Avoid writings specific to GNU C.

Sun Jul 15 17:28:39 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Add a word_fastmap array and use it if -W has not been
	specified, instead of using default regexps.  Finish implementing
	the Break files.

Sat Jul 14 10:54:21 1990  Francois Pinard  (pinard at icule)

	* gptx.[ch], version.c: Use prototypes in all header
	functions.  Add some missing const declarations.

Fri Jul 13 10:16:34 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Enforce ptx compatibility mode by disallowing normal
	mode extensions.  Disallow -p if extensions are used.

	* gptx.c: Finish implementation of Ignore and Only files.

Wed Jul 11 10:53:13 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Revise WORD typedef and use it in OCCURS typedef;
	adjust all usages.  Add BLOCK and WORD_ARRAY typedefs, revise in
	various place to make better usage of these.  Use BUMP_ALLOC.

Tue Jul 10 09:02:26 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Add -L option, `latin1_charset' variable and support.

	* gptx.c: Remove old generate_roff and generate_tex variables,
	replace with output_format which is of enum type.

Mon Jul  9 10:40:41 1990  Francois Pinard  (pinard at icule)

	* gptx.c (compare_words): Check word_regex.translate and do not
	use the translation table if not computed.  Also protect against
	possible 8-bit problems.

	* gptx.c (alloc_and_compile_regex): New function.

Sun Jul  8 17:52:14 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Make a more systematic use of SKIP_* macros, to get rid
	of explicit ' ' references when possible.

	* gptx.c: Replace `head' field by `left' in the OCCURS structure,
	delay the `before' computation from find_occurs_in_text to
	define_all_fields, and make all necessary adjustments.  Also
	add a `right' field in the OCCURS structure, use it to get rid of
	explicit '\n' references when possible.

	* gptx.c (initialize_regex): New function.  Compute the syntax
	table for regex.  Get rid of previous break_chars_init variable
	and break_chars array, use word_regex and word_regex_string
	instead.

	* gptx.c: Use re_search to find words and re_match to skip over
	them.  Add -W option and support.  Use re_search to find end of
	lines or end of sentences, add -S option and support.

Sat Jul  7 08:50:40 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Change PRINT_SPACES and PRINT_FIELD macros to
	print_spaces and print_field routines, respectively.

Fri Jul  6 09:44:39 1990  Francois Pinard  (pinard at icule)

	* gptx.c (generate_output): Split into define_all_fields,
	generate_all_output, output_one_roff_line, output_one_tex_line,
	and output_one_tty_line.

	* gptx.c: Move the inline code to reallocate the text buffer into
	reallocate_text_buffer.  Correct a small bug in this area.

	* gptx.c: Modify -F to accept a STRING argument, modify output
	routines to handle truncation marks having more than one
	character.

Thu Jul  5 11:08:59 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Add -F option and logic.

	* gptx.c: Select ptx compatibility mode if program is
	installed under the name `ptx'.  Install both gptx and ptx.

Thu Jun  7 17:21:25 1990  Francois Pinard  (pinard at icule)

	* gptx.c: Make each OCCURS a variable size thing, depending on
	various options; mark occurs_found table size with an integer
	counter instead of an end pointer.

Sat Apr 14 20:01:09 1990  Francois Pinard  (pinard at icule)

	* Version 0.0

	* gptx.c: Removed limitations on table sizes: it should now go
	until an `Out of memory' error.  Use xmalloc.  Rename some
	variables.

	* version.c, gptx.c (usage_and_exit): Add -C option to print
	Copyright.

Mon Mar 12 17:59:42 1990  Francois Pinard  (pinard at icule)

	* ChangeLog initialisation.  Previous experiments towards gptx
	were done at the defunct site ora.odyssee.qc.ca, which was a
	Sun-3/160 running SunOS 3.0.  The files have been stocked for
	a long time to kovic.iro archives, then imported to icule.

	* gptx.c: GCC linted.
